| Home · All Classes · All Namespaces · Modules · Functions · Files

# AliasMap Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- AliasMap ()
- AliasMap (const QMap< uint, QString > &a)
- AliasMap & operator= (const QMap< uint, QString > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QString>, but needed to have a discrete type in the Qt4 type system.

A dictionary whose keys are contact handles and whose values are aliases.

## Constructor & Destructor Documentation

AliasMap | ( |  | ) | `[inline]`

AliasMap | ( | const QMap< uint, QString > & | a | ) | `[inline]`

## Member Function Documentation

AliasMap& operator= | ( | const QMap< uint, QString > & | a | ) | `[inline]`